Bug 1019907 - Shared AP wifi network has WPS vulnerability
Shared AP wifi network has WPS vulnerability
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
21
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
Security
:
: 981607 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 11:29 EDT by Germano Massullo
Modified: 2015-12-02 11:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 981607
Environment:
Last Closed: 2015-12-01 22:00:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Germano Massullo 2013-10-16 11:29:04 EDT
Opening this as not private version of https://bugzilla.redhat.com/show_bug.cgi?id=981607 bugreport.

Additional notes:
- meanwhile I tried on Fedora Gnome and it is even worst because the hotspot option uses WEP encryption;
- it affects Fedora 19 too.

+++ This bug was initially created as a clone of Bug #981607 +++

Description of problem:
Creating a shared AP shared wireless network, exposes the local area network to WPS vulnerability, since you create a wifi with the WPS enabled.

http://en.wikipedia.org/wiki/Wi-Fi_Protected_Setup#Security

Version-Release number of selected component (if applicable):
kde-plasma-networkmanagement-0.9.0.9-1

Steps to Reproduce:
1. Create a shared wifi network in AP mode.
2. Put a WPA password
3. Pickup an Android phone or any other wifi device, you will see "WPS enabled" in the just created wireless connection properties.

Additional info:
I don't know if it is a kernel bug, a network-manager bug, but I start creating the bugreport for kde-plasma-networkmanagement.

--- Additional comment from Germano Massullo on 2013-07-05 05:39:40 EDT ---

WPS should be removed at all

--- Additional comment from Huzaifa S. Sidhpurwala on 2013-08-27 01:35:44 EDT ---

(In reply to Germano Massullo from comment #0)

> 
> Steps to Reproduce:
> 1. Create a shared wifi network in AP mode.
> 2. Put a WPA password
> 3. Pickup an Android phone or any other wifi device, you will see "WPS
> enabled" in the just created wireless connection properties.
> 

afaik, you have to enter the WPA password here to join the wireless network, dont you?

--- Additional comment from Germano Massullo on 2013-08-27 02:55:01 EDT ---

(In reply to Huzaifa S. Sidhpurwala from comment #2)
> afaik, you have to enter the WPA password here to join the wireless network,
> dont you?
Yes you have to enter the WPA password to join the wireless network, but this is not related to the bugreport.

--- Additional comment from Germano Massullo on 2013-09-19 16:00:33 EDT ---

I would need to remove the security block from the bugreport, but I do not own the privileges. Could you please remove it? Thank you.
Comment 1 Germano Massullo 2013-10-16 11:29:33 EDT
*** Bug 981607 has been marked as a duplicate of this bug. ***
Comment 2 Jan Grulich 2013-10-16 11:39:28 EDT
There is no parameter for WPS in kde-plasma-networkmanagement (or kde-plasma-nm) so I suppose NetworkManager adds it automatically, but don't know.
Comment 3 Dan Williams 2013-10-16 13:03:25 EDT
It looks like wpa_supplicant's lightweight AP mode enables WPS support by default when the security is WPA-PSK, and there's no way to turn that off currently.  Moving this over to wpa_supplicant, this will take changes upstream.

Just to confirm, if you have another machine, can you run "iw dev wlan0 scan" on that other machine and report the output for the shared AP that you've created, so that we can see what Information Elements the shared AP is broadcasting?
Comment 4 Germano Massullo 2013-10-16 19:02:56 EDT
BSS ***removed*** (on wlan0)
        TSF: 32797050 usec (0d, 00:00:32)
        freq: 2412
        beacon interval: 100
        capability: ESS Privacy ShortSlotTime (0x0411)
        signal: -16.00 dBm
        last seen: 3823 ms ago
        Information elements from Probe Response frame:
        SSID: Connessione_senza_fili_condivisa
        Supported rates: 6.0* 9.0 12.0* 18.0 24.0* 36.0 48.0 54.0 
        DS Parameter set: channel 1
        ERP: Barker_Preamble_Mode
        RSN:     * Version: 1
                 * Group cipher: TKIP
                 * Pairwise ciphers: CCMP TKIP
                 * Authentication suites: PSK
                 * Capabilities: (0x0000)
        WPA:     * Version: 1
                 * Group cipher: TKIP
                 * Pairwise ciphers: CCMP TKIP
                 * Authentication suites: PSK
        WPS:     * Version: 1.0
                 * Wi-Fi Protected Setup State: 2 (Configured)
                 * Response Type: 3 (AP)
                 * UUID: ***removed***
                 * Manufacturer:  
                 * Model:  
                 * Model Number:  
                 * Serial Number:  
                 * Primary Device Type: 0-00000000-0
                 * Device name:  
                 * Config methods: Display, Keypad
Comment 5 Fedora End Of Life 2015-05-29 05:35:01 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora Admin XMLRPC Client 2015-10-14 10:49:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2015-11-04 05:10:26 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-12-01 22:00:10 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.